Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.response
Class SimplePattern

    java.lang.Object
      de.knipp.rritoolkit.response.SimplePattern

All Implemented Interfaces:
  ErrorPattern

    public class SimplePattern

extends java.lang.Object
implements ErrorPattern

a simple pattern, consisting of a single code value

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny

Field Summary
`private java.lang.String` | `codeNumber` the code to match

Constructor Summary
`SimplePattern(java.lang.String theCode)` constructor

Method Summary
`void` | `accept(ErrorPatternVisitor visitor)` accept a visitor
`java.lang.String` | `getCode()` returns the code that matches this pattern
`boolean` | `matches(ErrorCode code)` test whether the given error code matches the pattern

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codeNumber

    private java.lang.String codeNumber

  the code to match

Constructor Detail

### SimplePattern

    public SimplePattern(java.lang.String theCode)

  constructor

  Parameters:
    `theCode` - the code to match

Method Detail

### getCode

    public java.lang.String getCode()

  returns the code that matches this pattern

  Returns:
    the pattern

### matches

    public boolean matches(ErrorCode code)

  test whether the given error code matches the pattern

  Specified by:
    `matches` in interface `ErrorPattern`
  Parameters:
    `code` - the code to test, may be `null`
  Returns:
    `true` if it matches

### accept

    public void accept(ErrorPatternVisitor visitor)

  accept a visitor

  Specified by:
    `accept` in interface `ErrorPattern`
  Parameters:
    `visitor` - the visitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH